Libical API Documentation 3.0

Data Fields
icaltimetype Struct Reference

## Data Fields
int | day
int | hour
int | is_date
int | is_daylight
int | minute
int | month
int | second
int | year
const icaltimezone * | zone

## Field Documentation

## ◆ is_date

int icaltimetype::is_date

1 -> interpret this as date.

## ◆ is_daylight

int icaltimetype::is_daylight

1 -> time is in daylight savings time.

## ◆ month

int icaltimetype::month

1 (Jan) to 12 (Dec).

## ◆ year

int icaltimetype::year

Actual year, e.g. 2001.

## ◆ zone

const icaltimezone* icaltimetype::zone

timezone

The documentation for this struct was generated from the following file:

- icaltime.h